# Matemat

A web service for automated stock-keeping of a soda machine written in Python.
It provides a touch-input-friendly user interface (as most input happens through the
soda machine's touch screen).

This project intends to provide a well-tested and maintainable alternative to
[ckruse/matemat][oldapp] (last commit 2013-07-09).

## Dependencies

- Python 3 (>=3.6)
- Python dependencies:
  - file-magic
  - jinja2
  - Pillow
  - netaddr
  
## Usage

```sh
python -m matemat
```

## Contributors

- s3lph
- SPiNNiX
- jonny

## License

MIT License


[oldapp]: https://github.com/ckruse/matemat
